Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos.msg
Interface KrbASRep

public interface KrbASRep
extends EncryptedPart, KerberosMessage

An interface to the Kerberos Authentication Service response message.

This message is returned by the Authentication Service to a user requesting initial authentication.

Defined in RFC 1510 by the ASN.1 structure AS-REP.

       AS-REP ::= [APPLICATION 11] KDC-REP

       KDC-REP ::= SEQUENCE {
                     pvno[0]                    INTEGER,
                     msg-type[1]                INTEGER,
                     padata[2]                  SEQUENCE OF PA-DATA OPTIONAL,
                     crealm[3]                  Realm,
                     cname[4]                   PrincipalName,
                     ticket[5]                  Ticket,
                     enc-part[6]                EncryptedData
                   }

       -- unencrypted enc-part

       EncASRepPart ::= [APPLICATION 25[27]] EncKDCRepPart

       EncKDCRepPart ::=
          SEQUENCE {
                   key[0]                       EncryptionKey,
                   last-req[1]                  LastReq,
                   nonce[2]                     INTEGER,
                   key-expiration[3]            Date OPTIONAL,
                   flags[4]                     TicketFlags,
                   authtime[5]                  Date,
                   starttime[6]                 Date OPTIONAL,
                   endtime[7]                   Date,
                   renew-till[8]                Date OPTIONAL,
                   srealm[9]                    Realm,
                   sname[10]                    PrincipalName,
                   caddr[11]                    HostAddresses OPTIONAL
          }

Method Summary
`Date` | `getAuthTime()` Returns the authentication time in this response
`InetAddress[]` | `getClientAddresses()` Returns all the client addresses in this response.
`PrincipalName` | `getClientName()` Returns the client PrincipalName in this response
`String` | `getClientRealm()` Returns the client realm in this response
`Date` | `getEndTime()` Returns the end time in this response
`Date` | `getKeyExpiration()` Returns the key expiration time in this response
`LastReqElement[]` | `getLastRequest()` Returns all the LastReqElements in this response
`int` | `getNonce()` Returns the nonce in this response
`PaData[]` | `getPadatas()` Returns all the PaDatas in this response.
`Date` | `getRenewTill()` Returns the absolute last renewal time in this response, or null if absent
`PrincipalName` | `getServerName()` Returns the server PrincipalName in this response
`String` | `getServerRealm()` Returns the server realm in this response
`EncryptionKey` | `getSessionKey()` Returns the session key in this request, or null if absent
`Date` | `getStartTime()` Returns the start time in this response, or null if absent in which case the authentication time is the effective start time
`Ticket` | `getTicket()` Returns the ticket in this response
`TicketFlags` | `getTicketFlags()` Returns all the TicketFlags in this response

Methods inherited from interface com.dstc.security.kerberos.msg.EncryptedPart
`decrypt, encryptionType, initDecrypt`

Methods inherited from interface com.dstc.security.kerberos.msg.KerberosMessage
`getEncoded`

Method Detail

### getPadatas

    public PaData[] getPadatas()

  Returns all the PaDatas in this response.

### getClientRealm

    public String getClientRealm()

  Returns the client realm in this response

### getClientName

    public PrincipalName getClientName()

  Returns the client PrincipalName in this response

### getTicket

    public Ticket getTicket()

  Returns the ticket in this response

### getLastRequest

    public LastReqElement[] getLastRequest()
                                    throws NotYetDecryptedException

  Returns all the LastReqElements in this response

### getKeyExpiration

    public Date getKeyExpiration()
                          throws NotYetDecryptedException

  Returns the key expiration time in this response

### getSessionKey

    public EncryptionKey getSessionKey()
                                throws NotYetDecryptedException

  Returns the session key in this request, or null if absent

### getNonce

    public int getNonce()
                 throws NotYetDecryptedException

  Returns the nonce in this response

### getTicketFlags

    public TicketFlags getTicketFlags()
                               throws NotYetDecryptedException

  Returns all the TicketFlags in this response

### getAuthTime

    public Date getAuthTime()
                     throws NotYetDecryptedException

  Returns the authentication time in this response

### getStartTime

    public Date getStartTime()
                      throws NotYetDecryptedException

  Returns the start time in this response, or null if absent in which case the authentication time is the effective start time

### getEndTime

    public Date getEndTime()
                    throws NotYetDecryptedException

  Returns the end time in this response

### getRenewTill

    public Date getRenewTill()
                      throws NotYetDecryptedException

  Returns the absolute last renewal time in this response, or null if absent

### getServerRealm

    public String getServerRealm()
                          throws NotYetDecryptedException

  Returns the server realm in this response

### getServerName

    public PrincipalName getServerName()
                                throws NotYetDecryptedException

  Returns the server PrincipalName in this response

### getClientAddresses

    public InetAddress[] getClientAddresses()
                                     throws NotYetDecryptedException

  Returns all the client addresses in this response.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD